Commit d3b21be8 authored by Alexander Diewald's avatar Alexander Diewald
Browse files

Oomph: Adjust feature & p2 versions for eclipse 2018-09


Signed-off-by: Alexander Diewald's avatarAlexander Diewald <diewald@fortiss.org>
parent 0b6afa10
......@@ -37,16 +37,16 @@
</setupTask>
<setupTask
xsi:type="setup.p2:P2Task"
label="Photon Update Site stuff">
label="Eclipse 2018-09 Update Site stuff">
<requirement
name="org.eclipse.platform.feature.group"
versionRange="[4.8.0,4.9.0)"/>
versionRange="[4.9.0,4.10.0)"/>
<requirement
name="org.eclipse.epp.package.modeling.feature.feature.group"
versionRange="[4.8.0,4.9.0)"/>
versionRange="[4.9.0,4.10.0)"/>
<requirement
name="org.eclipse.emf.sdk.feature.group"
versionRange="[2.14.0,2.15.0)"/>
versionRange="[2.15.0,2.16.0)"/>
<requirement
name="org.eclipse.emf.transaction.sdk.feature.group"
versionRange="[1.12.0,1.13.0)"/>
......@@ -61,11 +61,11 @@
versionRange="[1.12.0,1.13.0)"/>
<requirement
name="org.eclipse.xtext.sdk.feature.group"
versionRange="[2.14.0,2.15.0)"/>
versionRange="[2.15.0,2.16.0)"/>
<repository
url="http://download.eclipse.org/releases/photon"/>
url="http://download.eclipse.org/releases/2018-09"/>
<repository
url="http://download.eclipse.org/technology/epp/packages/photon/"/>
url="http://download.eclipse.org/technology/epp/packages/2018-09/"/>
<description>Install the tools needed in the IDE to work with the source code of ${scope.project.label}.</description>
</setupTask>
<setupTask
......@@ -155,17 +155,14 @@
<requirement
name="org.eclipse.fx.target.rcp.feature.feature.group"/>
<repository
url="http://download.eclipse.org/efxclipse/runtime-released/3.3.0/site/"/>
url="http://download.eclipse.org/efxclipse/runtime-released/3.4.1/site/"/>
<description>Install JavaFX runtime support for Kepler.</description>
</setupTask>
<setupTask
xsi:type="setup.p2:P2Task"
label="E(fx)clipse IDE - JavaFX support">
<requirement
name="org.eclipse.fx.ide.feature.feature.group"
versionRange="[3.3.0,3.4.0)"/>
<repository
url="http://download.eclipse.org/efxclipse/updates-released/3.3.0/site/"/>
url="http://download.eclipse.org/efxclipse/updates-released/3.4.1/site/"/>
<description>Install JavaFX IDE support for Kepler.</description>
</setupTask>
<setupTask
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment